GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/std-regs.c File Reference
`#include "defs.h"`
`#include "user-regs.h"`
`#include "frame.h"`
`#include "gdbtypes.h"`
`#include "value.h"`

Go to the source code of this file.

## Functions
static struct value * | value_of_builtin_frame_fp_reg (struct frame_info *frame, const void *baton)
static struct value * | value_of_builtin_frame_pc_reg (struct frame_info *frame, const void *baton)
static struct value * | value_of_builtin_frame_sp_reg (struct frame_info *frame, const void *baton)
static struct value * | value_of_builtin_frame_ps_reg (struct frame_info *frame, const void *baton)
void | _initialize_frame_reg (void)

## Function Documentation

## ◆ _initialize_frame_reg()

void _initialize_frame_reg | ( | void |  | ) |

Definition at line 93 of file std-regs.c.

References user_reg_add_builtin(), value_of_builtin_frame_fp_reg(), value_of_builtin_frame_pc_reg(), value_of_builtin_frame_ps_reg(), and value_of_builtin_frame_sp_reg().

## ◆ value_of_builtin_frame_fp_reg()

static struct value* value_of_builtin_frame_fp_reg | ( | struct frame_info * | frame,
|  | const void * | baton
| ) |  |
| static

Definition at line 28 of file std-regs.c.

References allocate_value(), builtin_type::builtin_data_ptr, builtin_type(), gdbarch_address_to_pointer(), gdbarch_deprecated_fp_regnum(), get_frame_arch(), get_frame_base_address(), value_contents_raw(), and value_of_register().

Referenced by _initialize_frame_reg().

## ◆ value_of_builtin_frame_pc_reg()

static struct value* value_of_builtin_frame_pc_reg | ( | struct frame_info * | frame,
|  | const void * | baton
| ) |  |
| static

Definition at line 54 of file std-regs.c.

References allocate_value(), builtin_type::builtin_func_ptr, builtin_type(), gdbarch_address_to_pointer(), gdbarch_pc_regnum(), get_frame_arch(), get_frame_pc(), value_contents_raw(), and value_of_register().

Referenced by _initialize_frame_reg().

## ◆ value_of_builtin_frame_ps_reg()

static struct value* value_of_builtin_frame_ps_reg | ( | struct frame_info * | frame,
|  | const void * | baton
| ) |  |
| static

Definition at line 83 of file std-regs.c.

References _, error(), gdbarch_ps_regnum(), get_frame_arch(), and value_of_register().

Referenced by _initialize_frame_reg().

## ◆ value_of_builtin_frame_sp_reg()

static struct value* value_of_builtin_frame_sp_reg | ( | struct frame_info * | frame,
|  | const void * | baton
| ) |  |
| static

Definition at line 73 of file std-regs.c.

References _, error(), gdbarch_sp_regnum(), get_frame_arch(), and value_of_register().

Referenced by _initialize_frame_reg().